package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.M.d;
import com.ccnode.codegenerator.l.e;
import com.intellij.codeInsight.AnnotationUtil;
import com.intellij.execution.lineMarker.RunLineMarkerContributor;
import com.intellij.icons.AllIcons;
import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.psi.PsiAnnotation;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiJavaToken;
import com.intellij.psi.PsiLiteralExpression;
import com.intellij.psi.PsiMethod;
import com.intellij.psi.PsiModifierListOwner;
import com.intellij.psi.util.PsiTreeUtil;
import java.util.Collection;
import kotlin.Metadata;
import kotlin.collections.CollectionsKt;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000\030\n\002\030\002\n\002\030\002\n\002\b\002\n\002\030\002\n\000\n\002\030\002\n\000\030\0002\0020\001B\005¢\006\002\020\002J\022\020\003\032\004\030\0010\0042\006\020\005\032\0020\006H\026¨\006\007"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisAnnotationRunLineMarkerProvider;", "Lcom/intellij/execution/lineMarker/RunLineMarkerContributor;", "()V", "getInfo", "Lcom/intellij/execution/lineMarker/RunLineMarkerContributor$Info;", "origi", "Lcom/intellij/psi/PsiElement;", "MyBatisCodeHelper-Pro241"})
public final class v extends RunLineMarkerContributor {
  @Nullable
  public RunLineMarkerContributor.Info getInfo(@NotNull PsiElement paramPsiElement) {
    Intrinsics.checkNotNullParameter(paramPsiElement, "");
    if (!(paramPsiElement instanceof PsiJavaToken))
      return null; 
    PsiElement psiElement1 = ((PsiJavaToken)paramPsiElement).getParent();
    if (!(psiElement1 instanceof PsiLiteralExpression))
      return null; 
    PsiElement psiElement2 = ((PsiLiteralExpression)psiElement1).getParent();
    if (!(psiElement2 instanceof com.intellij.psi.PsiNameValuePair) && !(psiElement2 instanceof com.intellij.psi.PsiBinaryExpression) && !(psiElement2 instanceof com.intellij.psi.PsiPolyadicExpression))
      return null; 
    Intrinsics.checkNotNullExpressionValue(PsiTreeUtil.findChildrenOfType(psiElement2, PsiLiteralExpression.class), "");
    Collection<?> collection = PsiTreeUtil.findChildrenOfType(psiElement2, PsiLiteralExpression.class);
    if (collection.isEmpty())
      return null; 
    if (!Intrinsics.areEqual(CollectionsKt.first(collection), psiElement1))
      return null; 
    PsiAnnotation psiAnnotation1 = (PsiAnnotation)PsiTreeUtil.getParentOfType(psiElement2, PsiAnnotation.class);
    if (psiAnnotation1 == null)
      return null; 
    if (!e.b.contains(psiAnnotation1.getQualifiedName()))
      return null; 
    PsiMethod psiMethod = (PsiMethod)PsiTreeUtil.getParentOfType(psiElement2, PsiMethod.class);
    if (psiMethod == null)
      return null; 
    PsiAnnotation psiAnnotation2 = AnnotationUtil.findAnnotation((PsiModifierListOwner)psiMethod, e.b);
    if (psiAnnotation2 == null)
      return null; 
    AnAction[] arrayOfAnAction = new AnAction[1];
    arrayOfAnAction[0] = (AnAction)new d(psiAnnotation2);
    return new RunLineMarkerContributor.Info(AllIcons.RunConfigurations.TestState.Run, com.ccnode.codegenerator.view.v::a, arrayOfAnAction);
  }
  
  private static final String a(PsiElement paramPsiElement) {
    return "test sql for current mybatis tag";
  }
}
